<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>discover: Data Fields</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.2 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="dirs.html">Directories</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindexHL" href="globals.html">Globals</a></div>
<div class="qindex"><a class="qindexHL" href="globals.html">All</a> | <a class="qindex" href="globals_func.html">Functions</a> | <a class="qindex" href="globals_type.html">Typedefs</a> | <a class="qindex" href="globals_enum.html">Enumerations</a> | <a class="qindex" href="globals_eval.html">Enumeration&nbsp;values</a> | <a class="qindex" href="globals_defs.html">Defines</a></div>
<div class="qindex"><a class="qindex" href="#index__">_</a> | <a class="qindex" href="#index_b">b</a> | <a class="qindex" href="#index_d">d</a> | <a class="qindex" href="#index_i">i</a> | <a class="qindex" href="#index_m">m</a> | <a class="qindex" href="#index_r">r</a> | <a class="qindex" href="#index_s">s</a></div>

<p>
Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:
<p>
<h3><a class="anchor" name="index__">- _ -</a></h3><ul>
<li>_discover_convert_device_data()
: <a class="el" href="sysdep_8c.html#a7">sysdep.c</a><li>_discover_create_message()
: <a class="el" href="group__core.html#ga1">core.c</a><li>_discover_free_sysdep_data()
: <a class="el" href="sysdep_8h.html#a4">sysdep.h</a>, <a class="el" href="sysdep_8c.html#a5">sysdep.c</a><li>_discover_free_sysdep_device_data()
: <a class="el" href="sysdep_8h.html#a5">sysdep.h</a>, <a class="el" href="sysdep_8c.html#a6">sysdep.c</a><li>_discover_get_ata_raw()
: <a class="el" href="group__sysdeps.html#ga0">sysdep.h</a>, <a class="el" href="group__sysdeps.html#ga0">stubs.c</a><li>_discover_get_pci_raw()
: <a class="el" href="group__sysdeps.html#ga1">sysdep.h</a>, <a class="el" href="group__sysdeps.html#ga1">stubs.c</a><li>_discover_get_pcmcia_raw()
: <a class="el" href="group__sysdeps.html#ga2">sysdep.h</a>, <a class="el" href="group__sysdeps.html#ga2">stubs.c</a><li>_discover_get_scsi_raw()
: <a class="el" href="group__sysdeps.html#ga3">sysdep.h</a>, <a class="el" href="group__sysdeps.html#ga3">stubs.c</a><li>_discover_get_usb_raw()
: <a class="el" href="group__sysdeps.html#ga4">sysdep.h</a>, <a class="el" href="group__sysdeps.html#ga4">stubs.c</a><li>_discover_sysdep_data_new()
: <a class="el" href="sysdep_8h.html#a2">sysdep.h</a>, <a class="el" href="sysdep_8c.html#a3">sysdep.c</a><li>_discover_sysdep_device_data_new()
: <a class="el" href="sysdep_8h.html#a3">sysdep.h</a>, <a class="el" href="sysdep_8c.html#a4">sysdep.c</a><li>_real_discover_conf_get_bus_map()
: <a class="el" href="conf_8c.html#a16">conf.c</a><li>_real_discover_conf_get_bus_map_by_name()
: <a class="el" href="conf_8c.html#a17">conf.c</a></ul>
<h3><a class="anchor" name="index_b">- b -</a></h3><ul>
<li>BUS_COUNT
: <a class="el" href="group__types.html#ga14">discover.h</a></ul>
<h3><a class="anchor" name="index_d">- d -</a></h3><ul>
<li>discover_bus_map_t
: <a class="el" href="group__types.html#ga2">discover.h</a><li>discover_bus_t
: <a class="el" href="group__types.html#ga16">discover.h</a><li>discover_conf_append_url()
: <a class="el" href="group__conf.html#ga6">discover-conf.h</a>, <a class="el" href="group__conf.html#ga6">conf.c</a><li>discover_conf_free()
: <a class="el" href="group__conf.html#ga8">discover-conf.h</a>, <a class="el" href="group__conf.html#ga8">conf.c</a><li>discover_conf_get_bus_map()
: <a class="el" href="group__conf.html#ga4">discover-conf.h</a>, <a class="el" href="group__conf.html#ga4">conf.c</a><li>discover_conf_get_bus_map_by_name()
: <a class="el" href="group__conf.html#ga3">discover-conf.h</a>, <a class="el" href="group__conf.html#ga3">conf.c</a><li>discover_conf_get_bus_name()
: <a class="el" href="group__conf.html#ga9">discover-conf.h</a>, <a class="el" href="group__conf.html#ga9">conf.c</a><li>discover_conf_get_filetype_name()
: <a class="el" href="group__conf.html#ga10">discover-conf.h</a>, <a class="el" href="group__conf.html#ga10">conf.c</a><li>discover_conf_get_full_bus_map()
: <a class="el" href="group__conf.html#ga2">discover-conf.h</a>, <a class="el" href="group__conf.html#ga2">conf.c</a><li>discover_conf_get_urls()
: <a class="el" href="group__conf.html#ga7">discover-conf.h</a>, <a class="el" href="group__conf.html#ga7">conf.c</a><li>discover_conf_insert_url()
: <a class="el" href="group__conf.html#ga5">discover-conf.h</a>, <a class="el" href="group__conf.html#ga5">conf.c</a><li>discover_conf_load()
: <a class="el" href="group__conf.html#ga0">discover-conf.h</a>, <a class="el" href="group__conf.html#ga0">conf.c</a><li>discover_conf_name_to_bus()
: <a class="el" href="group__conf.html#ga1">discover-conf.h</a>, <a class="el" href="group__conf.html#ga1">conf.c</a><li>discover_create_message_t
: <a class="el" href="group__types.html#ga0">discover.h</a><li>discover_data_free()
: <a class="el" href="group__device.html#ga14">discover.h</a>, <a class="el" href="group__device.html#ga14">device.c</a><li>discover_data_get_child()
: <a class="el" href="group__device.html#ga9">discover.h</a>, <a class="el" href="group__device.html#ga9">device.c</a><li>discover_data_get_class()
: <a class="el" href="group__device.html#ga6">discover.h</a>, <a class="el" href="group__device.html#ga6">device.c</a><li>discover_data_get_first()
: <a class="el" href="group__device.html#ga12">discover.h</a>, <a class="el" href="group__device.html#ga12">device.c</a><li>discover_data_get_next()
: <a class="el" href="group__device.html#ga10">discover.h</a>, <a class="el" href="group__device.html#ga10">device.c</a><li>discover_data_get_parent()
: <a class="el" href="group__device.html#ga8">discover.h</a>, <a class="el" href="group__device.html#ga8">device.c</a><li>discover_data_get_prev()
: <a class="el" href="group__device.html#ga11">discover.h</a>, <a class="el" href="group__device.html#ga11">device.c</a><li>discover_data_get_text()
: <a class="el" href="group__device.html#ga7">discover.h</a>, <a class="el" href="group__device.html#ga7">device.c</a><li>discover_data_new()
: <a class="el" href="group__device.html#ga13">discover.h</a>, <a class="el" href="group__device.html#ga13">device.c</a><li>discover_data_t
: <a class="el" href="group__types.html#ga4">discover.h</a><li>discover_device_copy()
: <a class="el" href="group__device.html#ga5">discover.h</a>, <a class="el" href="group__device.html#ga5">device.c</a><li>discover_device_find()
: <a class="el" href="group__device.html#ga0">discover.h</a>, <a class="el" href="group__device.html#ga0">device.c</a><li>discover_device_free()
: <a class="el" href="group__device.html#ga23">discover.h</a>, <a class="el" href="group__device.html#ga23">device.c</a><li>discover_device_func_t
: <a class="el" href="group__types.html#ga8">discover.h</a><li>discover_device_get_busclass()
: <a class="el" href="group__device.html#ga15">discover.h</a>, <a class="el" href="group__device.html#ga15">device.c</a><li>discover_device_get_data()
: <a class="el" href="group__device.html#ga4">discover.h</a>, <a class="el" href="group__device.html#ga4">device.c</a><li>discover_device_get_data_struct()
: <a class="el" href="group__device.html#ga20">discover.h</a>, <a class="el" href="group__device.html#ga20">device.c</a><li>discover_device_get_model_id()
: <a class="el" href="group__device.html#ga16">discover.h</a>, <a class="el" href="group__device.html#ga16">device.c</a><li>discover_device_get_model_name()
: <a class="el" href="group__device.html#ga17">discover.h</a>, <a class="el" href="group__device.html#ga17">device.c</a><li>discover_device_get_next()
: <a class="el" href="group__device.html#ga21">discover.h</a>, <a class="el" href="group__device.html#ga21">device.c</a><li>discover_device_get_vendor_id()
: <a class="el" href="group__device.html#ga18">discover.h</a>, <a class="el" href="group__device.html#ga18">device.c</a><li>discover_device_get_vendor_name()
: <a class="el" href="group__device.html#ga19">discover.h</a>, <a class="el" href="group__device.html#ga19">device.c</a><li>discover_device_new()
: <a class="el" href="group__device.html#ga22">discover.h</a>, <a class="el" href="group__device.html#ga22">device.c</a><li>discover_device_t
: <a class="el" href="group__types.html#ga3">discover.h</a><li>DISCOVER_EBADVERSION
: <a class="el" href="group__types.html#gga15a23">discover.h</a><li>DISCOVER_EBUSDISABLED
: <a class="el" href="group__types.html#gga15a19">discover.h</a><li>DISCOVER_EBUSNOTFOUND
: <a class="el" href="group__types.html#gga15a20">discover.h</a><li>DISCOVER_EDATANOTFOUND
: <a class="el" href="group__types.html#gga15a21">discover.h</a><li>DISCOVER_EDEVICENOTFOUND
: <a class="el" href="group__types.html#gga15a22">discover.h</a><li>DISCOVER_EIO
: <a class="el" href="group__types.html#gga15a16">discover.h</a><li>DISCOVER_ENOIMPL
: <a class="el" href="group__types.html#gga15a24">discover.h</a><li>discover_error_code_t
: <a class="el" href="group__types.html#ga15">discover.h</a><li>discover_error_free()
: <a class="el" href="group__core.html#ga2">discover.h</a>, <a class="el" href="group__core.html#ga2">core.c</a><li>discover_error_new()
: <a class="el" href="group__core.html#ga0">discover.h</a>, <a class="el" href="group__core.html#ga0">core.c</a><li>discover_error_t
: <a class="el" href="group__types.html#ga1">discover.h</a><li>DISCOVER_ESYS
: <a class="el" href="group__types.html#gga15a18">discover.h</a><li>DISCOVER_EXML
: <a class="el" href="group__types.html#gga15a17">discover.h</a><li>discover_filetype_t
: <a class="el" href="group__types.html#ga17">discover.h</a><li>discover_free_devices()
: <a class="el" href="discover_8h.html#a34">discover.h</a>, <a class="el" href="sysdep_8c.html#a9">sysdep.c</a><li>discover_free_func_t
: <a class="el" href="group__types.html#ga12">discover.h</a><li>discover_get_devices()
: <a class="el" href="discover_8h.html#a33">discover.h</a>, <a class="el" href="sysdep_8c.html#a8">sysdep.c</a><li>discover_major_version()
: <a class="el" href="group__core.html#ga4">discover.h</a>, <a class="el" href="group__core.html#ga4">core.c</a><li>discover_micro_version()
: <a class="el" href="group__core.html#ga6">discover.h</a>, <a class="el" href="group__core.html#ga6">core.c</a><li>discover_minor_version()
: <a class="el" href="group__core.html#ga5">discover.h</a>, <a class="el" href="group__core.html#ga5">core.c</a><li>discover_strerror()
: <a class="el" href="group__core.html#ga3">discover.h</a>, <a class="el" href="group__core.html#ga3">core.c</a><li>DISCOVER_SUCCESS
: <a class="el" href="group__types.html#gga15a15">discover.h</a><li>discover_sysdep_data_t
: <a class="el" href="sysdep_8h.html#a1">sysdep.h</a><li>discover_sysdep_device_data_t
: <a class="el" href="sysdep_8h.html#a0">sysdep.h</a><li>discover_sysdep_raw_func_t
: <a class="el" href="group__types.html#ga13">discover.h</a><li>discover_xml_busclass_cmp()
: <a class="el" href="group__busclass__xml.html#ga4">discover-xml.h</a>, <a class="el" href="group__busclass__xml.html#ga4">busclass-xml.c</a><li>discover_xml_busclass_free()
: <a class="el" href="group__busclass__xml.html#ga9">discover-xml.h</a>, <a class="el" href="group__busclass__xml.html#ga9">busclass-xml.c</a><li>discover_xml_busclass_func_t
: <a class="el" href="group__types.html#ga9">discover.h</a><li>discover_xml_busclass_get_id()
: <a class="el" href="group__busclass__xml.html#ga5">discover-xml.h</a>, <a class="el" href="group__busclass__xml.html#ga5">busclass-xml.c</a><li>discover_xml_busclass_get_name()
: <a class="el" href="group__busclass__xml.html#ga6">discover-xml.h</a>, <a class="el" href="group__busclass__xml.html#ga6">busclass-xml.c</a><li>discover_xml_busclass_get_next()
: <a class="el" href="group__busclass__xml.html#ga7">discover-xml.h</a>, <a class="el" href="group__busclass__xml.html#ga7">busclass-xml.c</a><li>discover_xml_busclass_new()
: <a class="el" href="group__busclass__xml.html#ga8">discover-xml.h</a>, <a class="el" href="group__busclass__xml.html#ga8">busclass-xml.c</a><li>discover_xml_busclass_t
: <a class="el" href="group__types.html#ga5">discover.h</a><li>discover_xml_busclass_to_class()
: <a class="el" href="group__busclass__xml.html#ga3">discover-xml.h</a>, <a class="el" href="group__busclass__xml.html#ga3">busclass-xml.c</a><li>discover_xml_find_device()
: <a class="el" href="group__device__xml.html#ga3">discover-xml.h</a>, <a class="el" href="group__device__xml.html#ga3">device-xml.c</a><li>discover_xml_find_next_device()
: <a class="el" href="group__device__xml.html#ga4">discover-xml.h</a>, <a class="el" href="group__device__xml.html#ga4">device-xml.c</a><li>discover_xml_free_busclasses()
: <a class="el" href="group__busclass__xml.html#ga2">discover-xml.h</a>, <a class="el" href="group__busclass__xml.html#ga2">busclass-xml.c</a><li>discover_xml_free_data_urls()
: <a class="el" href="group__url__xml.html#ga3">discover-xml.h</a>, <a class="el" href="group__url__xml.html#ga3">url-xml.c</a><li>discover_xml_free_devices()
: <a class="el" href="group__device__xml.html#ga2">discover-xml.h</a>, <a class="el" href="group__device__xml.html#ga2">device-xml.c</a><li>discover_xml_free_urls()
: <a class="el" href="group__url__xml.html#ga1">discover-xml.h</a>, <a class="el" href="group__url__xml.html#ga1">url-xml.c</a><li>discover_xml_free_vendors()
: <a class="el" href="group__vendor__xml.html#ga2">discover-xml.h</a>, <a class="el" href="group__vendor__xml.html#ga2">vendor-xml.c</a><li>discover_xml_get_busclasses()
: <a class="el" href="group__busclass__xml.html#ga1">discover-xml.h</a>, <a class="el" href="group__busclass__xml.html#ga1">busclass-xml.c</a><li>discover_xml_get_data_urls()
: <a class="el" href="group__url__xml.html#ga2">discover-xml.h</a>, <a class="el" href="group__url__xml.html#ga2">url-xml.c</a><li>discover_xml_get_devices()
: <a class="el" href="group__device__xml.html#ga1">discover-xml.h</a>, <a class="el" href="group__device__xml.html#ga1">device-xml.c</a><li>discover_xml_get_matching_devices()
: <a class="el" href="group__device__xml.html#ga5">discover-xml.h</a>, <a class="el" href="group__device__xml.html#ga5">device-xml.c</a><li>discover_xml_get_urls()
: <a class="el" href="group__url__xml.html#ga0">discover-xml.h</a>, <a class="el" href="group__url__xml.html#ga0">url-xml.c</a><li>discover_xml_get_vendors()
: <a class="el" href="group__vendor__xml.html#ga1">discover-xml.h</a>, <a class="el" href="group__vendor__xml.html#ga1">vendor-xml.c</a><li>discover_xml_merge_busclass_url()
: <a class="el" href="group__busclass__xml.html#ga0">discover-xml.h</a>, <a class="el" href="group__busclass__xml.html#ga0">busclass-xml.c</a><li>discover_xml_merge_device_url()
: <a class="el" href="group__device__xml.html#ga0">discover-xml.h</a>, <a class="el" href="group__device__xml.html#ga0">device-xml.c</a><li>discover_xml_merge_vendor_url()
: <a class="el" href="group__vendor__xml.html#ga0">discover-xml.h</a>, <a class="el" href="group__vendor__xml.html#ga0">vendor-xml.c</a><li>discover_xml_stack_destroy()
: <a class="el" href="stack_8c.html#a1">stack.c</a><li>discover_xml_stack_get()
: <a class="el" href="stack_8c.html#a4">stack.c</a><li>discover_xml_stack_getbynum()
: <a class="el" href="stack_8c.html#a5">stack.c</a><li>discover_xml_stack_new()
: <a class="el" href="stack_8c.html#a0">stack.c</a><li>discover_xml_stack_pop()
: <a class="el" href="stack_8c.html#a3">stack.c</a><li>discover_xml_stack_push()
: <a class="el" href="stack_8c.html#a2">stack.c</a><li>discover_xml_url_copy()
: <a class="el" href="group__url__xml.html#ga5">discover-xml.h</a>, <a class="el" href="group__url__xml.html#ga5">url-xml.c</a><li>discover_xml_url_free()
: <a class="el" href="group__url__xml.html#ga12">discover-xml.h</a>, <a class="el" href="group__url__xml.html#ga12">url-xml.c</a><li>discover_xml_url_func_t
: <a class="el" href="group__types.html#ga11">discover.h</a><li>discover_xml_url_get_bus()
: <a class="el" href="group__url__xml.html#ga8">discover-xml.h</a>, <a class="el" href="group__url__xml.html#ga8">url-xml.c</a><li>discover_xml_url_get_label()
: <a class="el" href="group__url__xml.html#ga7">discover-xml.h</a>, <a class="el" href="group__url__xml.html#ga7">url-xml.c</a><li>discover_xml_url_get_last()
: <a class="el" href="group__url__xml.html#ga11">discover-xml.h</a>, <a class="el" href="group__url__xml.html#ga11">url-xml.c</a><li>discover_xml_url_get_next()
: <a class="el" href="group__url__xml.html#ga10">discover-xml.h</a>, <a class="el" href="group__url__xml.html#ga10">url-xml.c</a><li>discover_xml_url_get_type()
: <a class="el" href="group__url__xml.html#ga9">discover-xml.h</a>, <a class="el" href="group__url__xml.html#ga9">url-xml.c</a><li>discover_xml_url_get_url()
: <a class="el" href="group__url__xml.html#ga6">discover-xml.h</a>, <a class="el" href="group__url__xml.html#ga6">url-xml.c</a><li>discover_xml_url_new()
: <a class="el" href="group__url__xml.html#ga4">discover-xml.h</a>, <a class="el" href="group__url__xml.html#ga4">url-xml.c</a><li>discover_xml_url_t
: <a class="el" href="group__types.html#ga7">discover.h</a><li>discover_xml_vendor_free()
: <a class="el" href="group__vendor__xml.html#ga8">discover-xml.h</a>, <a class="el" href="group__vendor__xml.html#ga8">vendor-xml.c</a><li>discover_xml_vendor_func_t
: <a class="el" href="group__types.html#ga10">discover.h</a><li>discover_xml_vendor_get_id()
: <a class="el" href="group__vendor__xml.html#ga4">discover-xml.h</a>, <a class="el" href="group__vendor__xml.html#ga4">vendor-xml.c</a><li>discover_xml_vendor_get_name()
: <a class="el" href="group__vendor__xml.html#ga5">discover-xml.h</a>, <a class="el" href="group__vendor__xml.html#ga5">vendor-xml.c</a><li>discover_xml_vendor_get_next()
: <a class="el" href="group__vendor__xml.html#ga6">discover-xml.h</a>, <a class="el" href="group__vendor__xml.html#ga6">vendor-xml.c</a><li>discover_xml_vendor_id2name()
: <a class="el" href="group__vendor__xml.html#ga3">discover-xml.h</a>, <a class="el" href="group__vendor__xml.html#ga3">vendor-xml.c</a><li>discover_xml_vendor_new()
: <a class="el" href="group__vendor__xml.html#ga7">discover-xml.h</a>, <a class="el" href="group__vendor__xml.html#ga7">vendor-xml.c</a><li>discover_xml_vendor_t
: <a class="el" href="group__types.html#ga6">discover.h</a><li>discover_xml_version_cmp()
: <a class="el" href="group__version__cmp.html#ga0">discover-xml.h</a>, <a class="el" href="group__version__cmp.html#ga0">version-cmp.c</a></ul>
<h3><a class="anchor" name="index_i">- i -</a></h3><ul>
<li>IDLEN
: <a class="el" href="device-xml_8c.html#a0">device-xml.c</a></ul>
<h3><a class="anchor" name="index_m">- m -</a></h3><ul>
<li>MAXBUFLEN
: <a class="el" href="version-cmp_8c.html#a0">version-cmp.c</a></ul>
<h3><a class="anchor" name="index_r">- r -</a></h3><ul>
<li>range_state
: <a class="el" href="version-cmp_8c.html#a1">version-cmp.c</a><li>range_states
: <a class="el" href="version-cmp_8c.html#a21">version-cmp.c</a><li>raw_sysdep_function_t
: <a class="el" href="sysdep_8c.html#a0">sysdep.c</a></ul>
<h3><a class="anchor" name="index_s">- s -</a></h3><ul>
<li>scan_flag
: <a class="el" href="conf_8c.html#a34">conf.c</a><li>state
: <a class="el" href="url-xml_8c.html#a22">url-xml.c</a>, <a class="el" href="device-xml_8c.html#a20">device-xml.c</a>, <a class="el" href="conf_8c.html#a33">conf.c</a></ul>
<hr size="1"><address style="align: right;"><small>Generated on Thu Jul 28 03:38:01 2005 for discover by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.2 </small></address>
</body>
</html>
